FreeMat

- Main Page
- Related Pages

vtkImageEuclideanToPolar

Section: Visualization Toolkit Imaging Classes

# Usage

For each pixel with vector components x,y, this filter outputs theta in component0, and radius in component1.

To create an instance of class vtkImageEuclideanToPolar, simply invoke its constructor as follows

      obj = vtkImageEuclideanToPolar

# Methods

The class vtkImageEuclideanToPolar has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageEuclideanToPolar class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageEuclideanToPolar = obj.NewInstance ()`
- `vtkImageEuclideanToPolar = obj.SafeDownCast (vtkObject o)`
- `obj.SetThetaMaximum (double )` - Theta is an angle. Maximum specifies when it maps back to 0. ThetaMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. The output type must be the same as input type.
- `double = obj.GetThetaMaximum ()` - Theta is an angle. Maximum specifies when it maps back to 0. ThetaMaximum defaults to 255 instead of 2PI, because unsigned char is expected as input. The output type must be the same as input type.